| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::GpuNamedConstantsSerializer Class Reference
Core » Materials

Simple class for loading / saving GpuNamedConstants. More...

`#include <OgreGpuProgramParams.h>`

Inheritance diagram for Ogre::GpuNamedConstantsSerializer:
[legend]

## Public Types
enum | Endian { ENDIAN_NATIVE, ENDIAN_BIG, ENDIAN_LITTLE }
| The endianness of written files. More...

## Public Member Functions
| GpuNamedConstantsSerializer ()
virtual | ~GpuNamedConstantsSerializer ()
void | exportNamedConstants (const GpuNamedConstants *pConsts, const String &filename, Endian endianMode=ENDIAN_NATIVE)
void | exportNamedConstants (const GpuNamedConstants *pConsts, DataStreamPtr stream, Endian endianMode=ENDIAN_NATIVE)
void | importNamedConstants (DataStreamPtr &stream, GpuNamedConstants *pDest)

## Detailed Description

Simple class for loading / saving GpuNamedConstants.

## Member Enumeration Documentation

## ◆ Endian

enum Ogre::Serializer::Endian
| inherited

The endianness of written files.

Enumerator
ENDIAN_NATIVE | Use the platform native endian.
ENDIAN_BIG | Use big endian (0x1000 is serialised as 0x10 0x00)
ENDIAN_LITTLE | Use little endian (0x1000 is serialised as 0x00 0x10)

## Constructor & Destructor Documentation

## ◆ GpuNamedConstantsSerializer()

Ogre::GpuNamedConstantsSerializer::GpuNamedConstantsSerializer | ( |  | ) |

## ◆ ~GpuNamedConstantsSerializer()

virtual Ogre::GpuNamedConstantsSerializer::~GpuNamedConstantsSerializer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ exportNamedConstants() [1/2]

void Ogre::GpuNamedConstantsSerializer::exportNamedConstants | ( | const GpuNamedConstants * | pConsts,
|  | const String & | filename,
|  | Endian | endianMode = `ENDIAN_NATIVE`
| ) |  |

## ◆ exportNamedConstants() [2/2]

void Ogre::GpuNamedConstantsSerializer::exportNamedConstants | ( | const GpuNamedConstants * | pConsts,
|  | DataStreamPtr | stream,
|  | Endian | endianMode = `ENDIAN_NATIVE`
| ) |  |

## ◆ importNamedConstants()

void Ogre::GpuNamedConstantsSerializer::importNamedConstants | ( | DataStreamPtr & | stream,
|  | GpuNamedConstants * | pDest
| ) |  |

The documentation for this class was generated from the following file:

- OgreGpuProgramParams.h